// JavaScript Document
// V1.0.0 
exports.onesignal_getapp = async function (options) {


   // get appid
   const appid = this.parseOptional(options.appid, '*', process.env.ONESIGNAL_APP_ID)
   console.log(options.appid + " => " + appid)
   const fetch = require('node-fetch');

   const url = `https://api.onesignal.com/apps/${appid}`
   const os_options = {
      method: 'GET',
      headers: {
         accept: 'text/plain',
         'Content-Type': 'application/json',
         Authorization: `Basic ${process.env.ONESIGNAL_REST_API_KEY}`
      }
   };

   return fetch(url, os_options)
      .then(res => {

         return res.json().then(json => {
            json.status = res.status; // Add status to json response
            return json;
         });
      })
      .catch(err => console.error('Error:', err));






}